- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: bc241f00-b535-4034-b021-c04fb7ed9e92
    creation_time: 2023-02-17T12:11:27.492080Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/in-de41.c
      input_file_hashes:
        c/loops-crafted-1/in-de41.c: 71e52c2f7da6d5380080fb621ed04f7c322fd22e434b0426cf7577ab025ae680
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/in-de41.c
    file_hash: 71e52c2f7da6d5380080fb621ed04f7c322fd22e434b0426cf7577ab025ae680
    line: 16
    column: 0
    function: main
  loop_invariant:
    string: x+y == n
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 6165ac63-8ff1-46c7-8dc9-a2f485c4e8c1
    creation_time: 2023-02-17T12:11:27.492293Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/in-de41.c
      input_file_hashes:
        c/loops-crafted-1/in-de41.c: 71e52c2f7da6d5380080fb621ed04f7c322fd22e434b0426cf7577ab025ae680
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/in-de41.c
    file_hash: 71e52c2f7da6d5380080fb621ed04f7c322fd22e434b0426cf7577ab025ae680
    line: 23
    column: 0
    function: main
  loop_invariant:
    string: x+z == y && y == n
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 4eb7f244-563a-4ba1-b062-dfeebff37b50
    creation_time: 2023-02-17T12:11:27.492397Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/in-de41.c
      input_file_hashes:
        c/loops-crafted-1/in-de41.c: 71e52c2f7da6d5380080fb621ed04f7c322fd22e434b0426cf7577ab025ae680
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/in-de41.c
    file_hash: 71e52c2f7da6d5380080fb621ed04f7c322fd22e434b0426cf7577ab025ae680
    line: 29
    column: 0
    function: main
  loop_invariant:
    string: y+z == x && x == n
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: e4d9004f-7437-4f3b-9e67-47706057aeef
    creation_time: 2023-02-17T12:11:27.492481Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/in-de41.c
      input_file_hashes:
        c/loops-crafted-1/in-de41.c: 71e52c2f7da6d5380080fb621ed04f7c322fd22e434b0426cf7577ab025ae680
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/in-de41.c
    file_hash: 71e52c2f7da6d5380080fb621ed04f7c322fd22e434b0426cf7577ab025ae680
    line: 35
    column: 0
    function: main
  loop_invariant:
    string: x+y == n
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 75590533-3a19-4107-ba50-e3ef3a638e3e
    creation_time: 2023-02-17T12:11:27.492661Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/in-de41.c
      input_file_hashes:
        c/loops-crafted-1/in-de41.c: 71e52c2f7da6d5380080fb621ed04f7c322fd22e434b0426cf7577ab025ae680
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/in-de41.c
    file_hash: 71e52c2f7da6d5380080fb621ed04f7c322fd22e434b0426cf7577ab025ae680
    line: 41
    column: 0
    function: main
  location_invariant:
    string: y == n
    type: assertion
    format: C

